Debian Bug report logs - #633849
xserver-xorg: XKB settings lost after suspend (hibernate) / resume or USB keyboard plugged in

version graph

Package: xserver-xorg; Maintainer for xserver-xorg is Debian X Strike Force <debian-x@lists.debian.org>; Source for xserver-xorg is src:xorg.

Reported by: Vincent Lefevre <vincent@vinc17.net>

Date: Thu, 14 Jul 2011 12:12:35 UTC

Severity: important

Found in versions xorg/1:7.6+11, xorg/1:7.6+7

Forwarded to https://bugs.freedesktop.org/show_bug.cgi?id=71168

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#633849; Package xserver-xorg. (Thu, 14 Jul 2011 12:12:38 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 14 Jul 2011 12:13:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xserver-xorg: XKB settings lost after suspend (hibernate) / resume
Date: Thu, 14 Jul 2011 13:45:49 +0200
Package: xserver-xorg
Version: 1:7.6+7
Severity: normal

I have personal XKB settings. From my .initrc file:

  xkbcomp -w0 -I$HOME/.xkb -R$HOME/.xkb keymap/custom $DISPLAY

They are lost after suspend (hibernate) / resume.

Possible related bugs:

 #541388  xserver-xorg: Xmodmap settings lost across suspend/hibernate
 #568868  key repeat for caps lock goes away after suspend/resume
 #582566  bell settings (xset -b) not preserved after suspend/resume


-- Package-specific info:
X server symlink status:
------------------------
lrwxrwxrwx 1 root root 13 2009-06-04 16:13:46 /etc/X11/X -> /usr/bin/Xorg
-rwxr-xr-x 1 root root 1957728 2011-07-02 12:07:20 /usr/bin/Xorg

VGA-compatible devices on PCI bus:
----------------------------------
01:00.0 VGA compatible controller [0300]: nVidia Corporation G98M [Quadro NVS 160M] [10de:06eb] (rev a1)

/etc/X11/xorg.conf does not exist.

/etc/X11/xorg.conf.d does not exist.

KMS configuration files:
------------------------
/etc/modprobe.d/i915-kms.conf:
  options i915 modeset=1
/etc/modprobe.d/radeon-kms.conf:
  options radeon modeset=1

Kernel version (/proc/version):
-------------------------------
Linux version 2.6.39-2-amd64 (Debian 2.6.39-3) (ben@decadent.org.uk) (gcc version 4.4.6 (Debian 4.4.6-6) ) #1 SMP Tue Jul 5 02:51:22 UTC 2011

Xorg X server log files on system:
----------------------------------
-rw-r--r-- 1 root root 34996 2011-07-14 13:32:26 /var/log/Xorg.0.log

Contents of most recent Xorg X server log file (/var/log/Xorg.0.log):
---------------------------------------------------------------------
[725909.102] 
X.Org X Server 1.10.2.902 (1.10.3 RC 2)
Release Date: 2011-07-01
[725909.102] X Protocol Version 11, Revision 0
[725909.102] Build Operating System: Linux 2.6.39-2-amd64 x86_64 Debian
[725909.102] Current Operating System: Linux xvii 2.6.39-2-amd64 #1 SMP Tue Jul 5 02:51:22 UTC 2011 x86_64
[725909.102] Kernel command line: root=/dev/mapper/xvii-root ro quiet
[725909.102] Build Date: 02 July 2011  10:05:17AM
[725909.102] xorg-server 2:1.10.2.902-1 (Cyril Brulebois <kibi@debian.org>) 
[725909.102] Current version of pixman: 0.22.2
[725909.102] 	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
[725909.102] Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[725909.102] (==) Log file: "/var/log/Xorg.0.log", Time: Thu Jul 14 13:32:24 2011
[725909.103] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[725909.103] (==) No Layout section.  Using the first Screen section.
[725909.103] (==) No screen section available. Using defaults.
[725909.103] (**) |-->Screen "Default Screen Section" (0)
[725909.103] (**) |   |-->Monitor "<default monitor>"
[725909.103] (==) No monitor specified for screen "Default Screen Section".
	Using a default monitor configuration.
[725909.103] (==) Automatically adding devices
[725909.103] (==) Automatically enabling devices
[725909.103] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
[725909.103] 	Entry deleted from font path.
[725909.103] (==) FontPath set to:
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/100dpi/:unscaled,
	/usr/share/fonts/X11/75dpi/:unscaled,
	/usr/share/fonts/X11/Type1,
	/usr/share/fonts/X11/100dpi,
	/usr/share/fonts/X11/75dpi,
	/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,
	built-ins
[725909.103] (==) ModulePath set to "/usr/lib/xorg/modules"
[725909.103] (II) The server relies on udev to provide the list of input devices.
	If no devices become available, reconfigure udev or disable AutoAddDevices.
[725909.103] (II) Loader magic: 0x7d7f40
[725909.103] (II) Module ABI versions:
[725909.103] 	X.Org ANSI C Emulation: 0.4
[725909.103] 	X.Org Video Driver: 10.0
[725909.103] 	X.Org XInput driver : 12.2
[725909.103] 	X.Org Server Extension : 5.0
[725909.104] (--) PCI:*(0:1:0:0) 10de:06eb:1028:0233 rev 161, Mem @ 0xf5000000/16777216, 0xe0000000/268435456, 0xf2000000/33554432, I/O @ 0x0000df00/128, BIOS @ 0x????????/131072
[725909.104] (II) Open ACPI successful (/var/run/acpid.socket)
[725909.104] (II) LoadModule: "extmod"
[725909.104] (II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
[725909.105] (II) Module extmod: vendor="X.Org Foundation"
[725909.105] 	compiled for 1.10.2.902, module version = 1.0.0
[725909.105] 	Module class: X.Org Server Extension
[725909.105] 	ABI class: X.Org Server Extension, version 5.0
[725909.105] (II) Loading extension SELinux
[725909.105] (II) Loading extension MIT-SCREEN-SAVER
[725909.105] (II) Loading extension XFree86-VidModeExtension
[725909.105] (II) Loading extension XFree86-DGA
[725909.105] (II) Loading extension DPMS
[725909.105] (II) Loading extension XVideo
[725909.105] (II) Loading extension XVideo-MotionCompensation
[725909.105] (II) Loading extension X-Resource
[725909.105] (II) LoadModule: "dbe"
[725909.105] (II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
[725909.105] (II) Module dbe: vendor="X.Org Foundation"
[725909.105] 	compiled for 1.10.2.902, module version = 1.0.0
[725909.105] 	Module class: X.Org Server Extension
[725909.105] 	ABI class: X.Org Server Extension, version 5.0
[725909.105] (II) Loading extension DOUBLE-BUFFER
[725909.105] (II) LoadModule: "glx"
[725909.105] (II) Loading /usr/lib/xorg/modules/extensions/libglx.so
[725909.105] (II) Module glx: vendor="X.Org Foundation"
[725909.105] 	compiled for 1.10.2.902, module version = 1.0.0
[725909.105] 	ABI class: X.Org Server Extension, version 5.0
[725909.105] (==) AIGLX enabled
[725909.105] (II) Loading extension GLX
[725909.105] (II) LoadModule: "record"
[725909.105] (II) Loading /usr/lib/xorg/modules/extensions/librecord.so
[725909.105] (II) Module record: vendor="X.Org Foundation"
[725909.105] 	compiled for 1.10.2.902, module version = 1.13.0
[725909.105] 	Module class: X.Org Server Extension
[725909.105] 	ABI class: X.Org Server Extension, version 5.0
[725909.106] (II) Loading extension RECORD
[725909.106] (II) LoadModule: "dri"
[725909.106] (II) Loading /usr/lib/xorg/modules/extensions/libdri.so
[725909.106] (II) Module dri: vendor="X.Org Foundation"
[725909.106] 	compiled for 1.10.2.902, module version = 1.0.0
[725909.106] 	ABI class: X.Org Server Extension, version 5.0
[725909.106] (II) Loading extension XFree86-DRI
[725909.106] (II) LoadModule: "dri2"
[725909.106] (II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
[725909.106] (II) Module dri2: vendor="X.Org Foundation"
[725909.106] 	compiled for 1.10.2.902, module version = 1.2.0
[725909.106] 	ABI class: X.Org Server Extension, version 5.0
[725909.106] (II) Loading extension DRI2
[725909.106] (==) Matched nouveau as autoconfigured driver 0
[725909.106] (==) Matched nv as autoconfigured driver 1
[725909.106] (==) Matched vesa as autoconfigured driver 2
[725909.106] (==) Matched fbdev as autoconfigured driver 3
[725909.106] (==) Assigned the driver to the xf86ConfigLayout
[725909.106] (II) LoadModule: "nouveau"
[725909.106] (II) Loading /usr/lib/xorg/modules/drivers/nouveau_drv.so
[725909.106] (II) Module nouveau: vendor="X.Org Foundation"
[725909.106] 	compiled for 1.10.1, module version = 0.0.16
[725909.106] 	Module class: X.Org Video Driver
[725909.106] 	ABI class: X.Org Video Driver, version 10.0
[725909.106] (II) LoadModule: "nv"
[725909.107] (WW) Warning, couldn't open module nv
[725909.107] (II) UnloadModule: "nv"
[725909.107] (II) Unloading nv
[725909.107] (EE) Failed to load module "nv" (module does not exist, 0)
[725909.107] (II) LoadModule: "vesa"
[725909.107] (II) Loading /usr/lib/xorg/modules/drivers/vesa_drv.so
[725909.107] (II) Module vesa: vendor="X.Org Foundation"
[725909.107] 	compiled for 1.10.2, module version = 2.3.0
[725909.107] 	Module class: X.Org Video Driver
[725909.107] 	ABI class: X.Org Video Driver, version 10.0
[725909.107] (II) LoadModule: "fbdev"
[725909.107] (II) Loading /usr/lib/xorg/modules/drivers/fbdev_drv.so
[725909.107] (II) Module fbdev: vendor="X.Org Foundation"
[725909.107] 	compiled for 1.10.1, module version = 0.4.2
[725909.107] 	ABI class: X.Org Video Driver, version 10.0
[725909.107] (II) NOUVEAU driver Date:   Thu Mar 24 02:13:12 2011 +1000
[725909.107] (II) NOUVEAU driver for NVIDIA chipset families :
[725909.107] 	RIVA TNT        (NV04)
[725909.107] 	RIVA TNT2       (NV05)
[725909.108] 	GeForce 256     (NV10)
[725909.108] 	GeForce 2       (NV11, NV15)
[725909.108] 	GeForce 4MX     (NV17, NV18)
[725909.108] 	GeForce 3       (NV20)
[725909.108] 	GeForce 4Ti     (NV25, NV28)
[725909.108] 	GeForce FX      (NV3x)
[725909.108] 	GeForce 6       (NV4x)
[725909.108] 	GeForce 7       (G7x)
[725909.108] 	GeForce 8       (G8x)
[725909.109] 	GeForce GTX 200 (NVA0)
[725909.109] 	GeForce GTX 400 (NVC0)
[725909.109] (II) VESA: driver for VESA chipsets: vesa
[725909.109] (II) FBDEV: driver for framebuffer: fbdev
[725909.109] (++) using VT number 9

[725909.155] drmOpenDevice: node name is /dev/dri/card0
[725909.155] drmOpenDevice: open result is 8, (OK)
[725909.155] drmOpenByBusid: Searching for BusID pci:0000:01:00.0
[725909.155] drmOpenDevice: node name is /dev/dri/card0
[725909.155] drmOpenDevice: open result is 8, (OK)
[725909.155] drmOpenByBusid: drmOpenMinor returns 8
[725909.155] drmOpenByBusid: drmGetBusid reports pci:0000:01:00.0
[725909.155] (II) [drm] nouveau interface version: 0.0.16
[725909.155] (II) Loading /usr/lib/xorg/modules/drivers/nouveau_drv.so
[725909.155] (WW) Falling back to old probe method for vesa
[725909.155] (WW) Falling back to old probe method for fbdev
[725909.155] (II) Loading sub module "fbdevhw"
[725909.155] (II) LoadModule: "fbdevhw"
[725909.155] (II) Loading /usr/lib/xorg/modules/libfbdevhw.so
[725909.155] (II) Module fbdevhw: vendor="X.Org Foundation"
[725909.155] 	compiled for 1.10.2.902, module version = 0.0.2
[725909.155] 	ABI class: X.Org Video Driver, version 10.0
[725909.155] (II) Loading sub module "dri"
[725909.155] (II) LoadModule: "dri"
[725909.155] (II) Loading /usr/lib/xorg/modules/extensions/libdri.so
[725909.155] (II) Module dri: vendor="X.Org Foundation"
[725909.155] 	compiled for 1.10.2.902, module version = 1.0.0
[725909.155] 	ABI class: X.Org Server Extension, version 5.0
[725909.155] (II) NOUVEAU(0): Loaded DRI module
[725909.155] drmOpenDevice: node name is /dev/dri/card0
[725909.155] drmOpenDevice: open result is 9, (OK)
[725909.155] drmOpenDevice: node name is /dev/dri/card0
[725909.155] drmOpenDevice: open result is 9, (OK)
[725909.155] drmOpenByBusid: Searching for BusID pci:0000:01:00.0
[725909.155] drmOpenDevice: node name is /dev/dri/card0
[725909.155] drmOpenDevice: open result is 9, (OK)
[725909.155] drmOpenByBusid: drmOpenMinor returns 9
[725909.155] drmOpenByBusid: drmGetBusid reports pci:0000:01:00.0
[725909.155] (II) [drm] DRM interface version 1.4
[725909.156] (II) [drm] DRM open master succeeded.
[725909.156] (--) NOUVEAU(0): Chipset: "NVIDIA NV98"
[725909.156] (II) NOUVEAU(0): Creating default Display subsection in Screen section
	"Default Screen Section" for depth/fbbpp 24/32
[725909.156] (==) NOUVEAU(0): Depth 24, (--) framebuffer bpp 32
[725909.156] (==) NOUVEAU(0): RGB weight 888
[725909.156] (==) NOUVEAU(0): Default visual is TrueColor
[725909.156] (==) NOUVEAU(0): Using HW cursor
[725909.156] (==) NOUVEAU(0): GLX sync to VBlank disabled.
[725909.156] (==) NOUVEAU(0): Page flipping enabled
[725909.281] (II) NOUVEAU(0): Output LVDS-1 has no monitor section
[725909.396] (II) NOUVEAU(0): Output VGA-1 has no monitor section
[725909.407] (II) NOUVEAU(0): Output DP-1 has no monitor section
[725909.417] (II) NOUVEAU(0): Output DP-2 has no monitor section
[725909.541] (II) NOUVEAU(0): EDID for output LVDS-1
[725909.541] (II) NOUVEAU(0): Manufacturer: AUO  Model: 4047  Serial#: 0
[725909.541] (II) NOUVEAU(0): Year: 2007  Week: 1
[725909.541] (II) NOUVEAU(0): EDID Version: 1.3
[725909.541] (II) NOUVEAU(0): Digital Display Input
[725909.541] (II) NOUVEAU(0): Max Image Size [cm]: horiz.: 30  vert.: 19
[725909.541] (II) NOUVEAU(0): Gamma: 2.20
[725909.541] (II) NOUVEAU(0): No DPMS capabilities specified
[725909.541] (II) NOUVEAU(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4 
[725909.541] (II) NOUVEAU(0): First detailed timing is preferred mode
[725909.541] (II) NOUVEAU(0): redX: 0.580 redY: 0.340   greenX: 0.330 greenY: 0.575
[725909.541] (II) NOUVEAU(0): blueX: 0.155 blueY: 0.135   whiteX: 0.313 whiteY: 0.329
[725909.541] (II) NOUVEAU(0): Manufacturer's mask: 0
[725909.541] (II) NOUVEAU(0): Supported detailed timing:
[725909.541] (II) NOUVEAU(0): clock: 108.0 MHz   Image Size:  303 x 189 mm
[725909.541] (II) NOUVEAU(0): h_active: 1440  h_sync: 1504  h_sync_end 1536 h_blank_end 1970 h_border: 0
[725909.541] (II) NOUVEAU(0): v_active: 900  v_sync: 903  v_sync_end 906 v_blanking: 912 v_border: 0
[725909.541] (II) NOUVEAU(0): Supported detailed timing:
[725909.541] (II) NOUVEAU(0): clock: 72.5 MHz   Image Size:  303 x 189 mm
[725909.541] (II) NOUVEAU(0): h_active: 1440  h_sync: 1504  h_sync_end 1536 h_blank_end 1970 h_border: 0
[725909.541] (II) NOUVEAU(0): v_active: 900  v_sync: 903  v_sync_end 906 v_blanking: 912 v_border: 0
[725909.541] (II) NOUVEAU(0):  GX968�B141PW4
[725909.541] (II) NOUVEAU(0): Unknown vendor-specific block 0
[725909.541] (II) NOUVEAU(0): EDID (in hex):
[725909.542] (II) NOUVEAU(0): 	00ffffffffffff0006af474000000000
[725909.542] (II) NOUVEAU(0): 	01110103901e13780a89e59457549327
[725909.542] (II) NOUVEAU(0): 	22505400000001010101010101010101
[725909.542] (II) NOUVEAU(0): 	010101010101302aa01252840c304020
[725909.542] (II) NOUVEAU(0): 	33002fbd1000001a521ca01252840c30
[725909.542] (II) NOUVEAU(0): 	402033002fbd1000001a000000fe0047
[725909.542] (II) NOUVEAU(0): 	58393638804231343150573400000000
[725909.542] (II) NOUVEAU(0): 	00000000000000000002010a202000ce
[725909.542] (II) NOUVEAU(0): EDID vendor "AUO", prod id 16455
[725909.542] (II) NOUVEAU(0): Printing DDC gathered Modelines:
[725909.542] (II) NOUVEAU(0): Modeline "1440x900"x0.0  108.00  1440 1504 1536 1970  900 903 906 912 +hsync -vsync (54.8 kHz)
[725909.542] (II) NOUVEAU(0): Modeline "1440x900"x0.0   72.50  1440 1504 1536 1970  900 903 906 912 +hsync -vsync (36.8 kHz)
[725909.542] (II) NOUVEAU(0): Printing probed modes for output LVDS-1
[725909.542] (II) NOUVEAU(0): Modeline "1440x900"x60.1  108.00  1440 1504 1536 1970  900 903 906 912 +hsync -vsync (54.8 kHz)
[725909.542] (II) NOUVEAU(0): Modeline "1440x900"x40.4   72.50  1440 1504 1536 1970  900 903 906 912 +hsync -vsync (36.8 kHz)
[725909.542] (II) NOUVEAU(0): Modeline "1152x864"x60.0   81.75  1152 1216 1336 1520  864 867 871 897 -hsync +vsync (53.8 kHz)
[725909.542] (II) NOUVEAU(0): Modeline "1024x768"x59.9   63.50  1024 1072 1176 1328  768 771 775 798 -hsync +vsync (47.8 kHz)
[725909.542] (II) NOUVEAU(0): Modeline "800x600"x59.9   38.25  800 832 912 1024  600 603 607 624 -hsync +vsync (37.4 kHz)
[725909.542] (II) NOUVEAU(0): Modeline "640x480"x59.4   23.75  640 664 720 800  480 483 487 500 -hsync +vsync (29.7 kHz)
[725909.542] (II) NOUVEAU(0): Modeline "720x400"x59.6   22.25  720 744 808 896  400 403 413 417 -hsync +vsync (24.8 kHz)
[725909.542] (II) NOUVEAU(0): Modeline "640x400"x60.0   20.00  640 664 720 800  400 403 409 417 -hsync +vsync (25.0 kHz)
[725909.542] (II) NOUVEAU(0): Modeline "640x350"x59.8   17.50  640 664 720 800  350 353 363 366 -hsync +vsync (21.9 kHz)
[725909.647] (II) NOUVEAU(0): EDID for output VGA-1
[725909.657] (II) NOUVEAU(0): EDID for output DP-1
[725909.667] (II) NOUVEAU(0): EDID for output DP-2
[725909.667] (II) NOUVEAU(0): Output LVDS-1 connected
[725909.667] (II) NOUVEAU(0): Output VGA-1 disconnected
[725909.667] (II) NOUVEAU(0): Output DP-1 disconnected
[725909.667] (II) NOUVEAU(0): Output DP-2 disconnected
[725909.667] (II) NOUVEAU(0): Using exact sizes for initial modes
[725909.667] (II) NOUVEAU(0): Output LVDS-1 using initial mode 1440x900
[725909.667] (II) NOUVEAU(0): Using default gamma of (1.0, 1.0, 1.0) unless otherwise stated.
[725909.667] (--) NOUVEAU(0): Virtual size is 1440x900 (pitch 0)
[725909.667] (**) NOUVEAU(0):  Driver mode "1440x900": 108.0 MHz (scaled from 0.0 MHz), 54.8 kHz, 60.1 Hz
[725909.667] (II) NOUVEAU(0): Modeline "1440x900"x60.1  108.00  1440 1504 1536 1970  900 903 906 912 +hsync -vsync (54.8 kHz)
[725909.667] (**) NOUVEAU(0):  Driver mode "1440x900": 72.5 MHz (scaled from 0.0 MHz), 36.8 kHz, 40.4 Hz
[725909.667] (II) NOUVEAU(0): Modeline "1440x900"x40.4   72.50  1440 1504 1536 1970  900 903 906 912 +hsync -vsync (36.8 kHz)
[725909.667] (**) NOUVEAU(0):  Driver mode "1152x864": 81.8 MHz (scaled from 0.0 MHz), 53.8 kHz, 60.0 Hz
[725909.667] (II) NOUVEAU(0): Modeline "1152x864"x60.0   81.75  1152 1216 1336 1520  864 867 871 897 -hsync +vsync (53.8 kHz)
[725909.667] (**) NOUVEAU(0):  Driver mode "1024x768": 63.5 MHz (scaled from 0.0 MHz), 47.8 kHz, 59.9 Hz
[725909.667] (II) NOUVEAU(0): Modeline "1024x768"x59.9   63.50  1024 1072 1176 1328  768 771 775 798 -hsync +vsync (47.8 kHz)
[725909.667] (**) NOUVEAU(0):  Driver mode "800x600": 38.2 MHz (scaled from 0.0 MHz), 37.4 kHz, 59.9 Hz
[725909.667] (II) NOUVEAU(0): Modeline "800x600"x59.9   38.25  800 832 912 1024  600 603 607 624 -hsync +vsync (37.4 kHz)
[725909.667] (**) NOUVEAU(0):  Driver mode "640x480": 23.8 MHz (scaled from 0.0 MHz), 29.7 kHz, 59.4 Hz
[725909.667] (II) NOUVEAU(0): Modeline "640x480"x59.4   23.75  640 664 720 800  480 483 487 500 -hsync +vsync (29.7 kHz)
[725909.667] (**) NOUVEAU(0):  Driver mode "720x400": 22.2 MHz (scaled from 0.0 MHz), 24.8 kHz, 59.6 Hz
[725909.667] (II) NOUVEAU(0): Modeline "720x400"x59.6   22.25  720 744 808 896  400 403 413 417 -hsync +vsync (24.8 kHz)
[725909.667] (**) NOUVEAU(0):  Driver mode "640x400": 20.0 MHz (scaled from 0.0 MHz), 25.0 kHz, 60.0 Hz
[725909.667] (II) NOUVEAU(0): Modeline "640x400"x60.0   20.00  640 664 720 800  400 403 409 417 -hsync +vsync (25.0 kHz)
[725909.667] (**) NOUVEAU(0):  Driver mode "640x350": 17.5 MHz (scaled from 0.0 MHz), 21.9 kHz, 59.8 Hz
[725909.667] (II) NOUVEAU(0): Modeline "640x350"x59.8   17.50  640 664 720 800  350 353 363 366 -hsync +vsync (21.9 kHz)
[725909.667] (**) NOUVEAU(0): Display dimensions: (300, 190) mm
[725909.667] (**) NOUVEAU(0): DPI set to (121, 120)
[725909.667] (II) Loading sub module "fb"
[725909.667] (II) LoadModule: "fb"
[725909.668] (II) Loading /usr/lib/xorg/modules/libfb.so
[725909.668] (II) Module fb: vendor="X.Org Foundation"
[725909.668] 	compiled for 1.10.2.902, module version = 1.0.0
[725909.668] 	ABI class: X.Org ANSI C Emulation, version 0.4
[725909.668] (II) Loading sub module "exa"
[725909.668] (II) LoadModule: "exa"
[725909.668] (II) Loading /usr/lib/xorg/modules/libexa.so
[725909.668] (II) Module exa: vendor="X.Org Foundation"
[725909.668] 	compiled for 1.10.2.902, module version = 2.5.0
[725909.668] 	ABI class: X.Org Video Driver, version 10.0
[725909.668] (II) Loading sub module "shadowfb"
[725909.668] (II) LoadModule: "shadowfb"
[725909.668] (II) Loading /usr/lib/xorg/modules/libshadowfb.so
[725909.668] (II) Module shadowfb: vendor="X.Org Foundation"
[725909.668] 	compiled for 1.10.2.902, module version = 1.0.0
[725909.668] 	ABI class: X.Org ANSI C Emulation, version 0.4
[725909.668] (II) UnloadModule: "vesa"
[725909.668] (II) Unloading vesa
[725909.668] (II) UnloadModule: "fbdev"
[725909.668] (II) Unloading fbdev
[725909.668] (II) UnloadModule: "fbdevhw"
[725909.668] (II) Unloading fbdevhw
[725909.668] (--) Depth 24 pixmap format is 32 bpp
[725909.674] (II) NOUVEAU(0): Opened GPU channel 2
[725909.674] (II) NOUVEAU(0): [DRI2] Setup complete
[725909.674] (II) NOUVEAU(0): [DRI2]   DRI driver: nouveau
[725909.675] (II) NOUVEAU(0): GART: 512MiB available
[725909.676] (II) NOUVEAU(0): GART: Allocated 16MiB as a scratch buffer
[725909.676] (II) EXA(0): Driver allocated offscreen pixmaps
[725909.676] (II) EXA(0): Driver registered support for the following operations:
[725909.676] (II)         Solid
[725909.676] (II)         Copy
[725909.676] (II)         Composite (RENDER acceleration)
[725909.676] (II)         UploadToScreen
[725909.676] (II)         DownloadFromScreen
[725909.676] (==) NOUVEAU(0): Backing store disabled
[725909.676] (==) NOUVEAU(0): Silken mouse enabled
[725909.676] (II) NOUVEAU(0): [XvMC] Associated with Nouveau GeForce 8/9 Textured Video.
[725909.676] (II) NOUVEAU(0): [XvMC] Extension initialized.
[725909.676] (==) NOUVEAU(0): DPMS enabled
[725909.676] (II) NOUVEAU(0): RandR 1.2 enabled, ignore the following RandR disabled message.
[725909.677] (--) RandR disabled
[725909.677] (II) Initializing built-in extension Generic Event Extension
[725909.677] (II) Initializing built-in extension SHAPE
[725909.677] (II) Initializing built-in extension MIT-SHM
[725909.677] (II) Initializing built-in extension XInputExtension
[725909.677] (II) Initializing built-in extension XTEST
[725909.677] (II) Initializing built-in extension BIG-REQUESTS
[725909.677] (II) Initializing built-in extension SYNC
[725909.677] (II) Initializing built-in extension XKEYBOARD
[725909.677] (II) Initializing built-in extension XC-MISC
[725909.677] (II) Initializing built-in extension SECURITY
[725909.677] (II) Initializing built-in extension XINERAMA
[725909.677] (II) Initializing built-in extension XFIXES
[725909.677] (II) Initializing built-in extension RENDER
[725909.677] (II) Initializing built-in extension RANDR
[725909.677] (II) Initializing built-in extension COMPOSITE
[725909.677] (II) Initializing built-in extension DAMAGE
[725909.677] (II) SELinux: Disabled on system
[725909.682] (II) AIGLX error: dlopen of /usr/lib/x86_64-linux-gnu/dri/nouveau_dri.so failed (/usr/lib/x86_64-linux-gnu/dri/nouveau_dri.so: cannot open shared object file: No such file or directory)
[725909.682] (II) AIGLX: reverting to software rendering
[725909.682] (II) AIGLX: Screen 0 is not DRI capable
[725909.684] (II) AIGLX: Loaded and initialized /usr/lib/x86_64-linux-gnu/dri/swrast_dri.so
[725909.684] (II) GLX: Initialized DRISWRAST GL provider for screen 0
[725909.689] (II) NOUVEAU(0): NVEnterVT is called.
[725909.732] (II) NOUVEAU(0): Setting screen physical size to 381 x 238
[725909.732] resize called 1440 900
[725909.781] (II) config/udev: Adding input device Video Bus (/dev/input/event7)
[725909.781] (**) Video Bus: Applying InputClass "evdev keyboard catchall"
[725909.781] (II) LoadModule: "evdev"
[725909.782] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[725909.782] (II) Module evdev: vendor="X.Org Foundation"
[725909.782] 	compiled for 1.10.1, module version = 2.6.0
[725909.782] 	Module class: X.Org XInput Driver
[725909.782] 	ABI class: X.Org XInput driver, version 12.2
[725909.782] (II) Using input driver 'evdev' for 'Video Bus'
[725909.782] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[725909.782] (**) Video Bus: always reports core events
[725909.782] (**) Video Bus: Device: "/dev/input/event7"
[725909.792] (--) Video Bus: Found keys
[725909.792] (II) Video Bus: Configuring as keyboard
[725909.792] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/device:00/PNP0A03:00/device:34/LNXVIDEO:00/input/input7/event7"
[725909.792] (II) XINPUT: Adding extended input device "Video Bus" (type: KEYBOARD)
[725909.792] (**) Option "xkb_rules" "evdev"
[725909.792] (**) Option "xkb_model" "pc105"
[725909.792] (**) Option "xkb_layout" "gb"
[725909.792] (**) Option "xkb_options" "lv3:ralt_switch"
[725909.837] (II) config/udev: Adding input device Power Button (/dev/input/event5)
[725909.837] (**) Power Button: Applying InputClass "evdev keyboard catchall"
[725909.837] (II) Using input driver 'evdev' for 'Power Button'
[725909.837] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[725909.837] (**) Power Button: always reports core events
[725909.837] (**) Power Button: Device: "/dev/input/event5"
[725909.848] (--) Power Button: Found keys
[725909.848] (II) Power Button: Configuring as keyboard
[725909.848] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/device:00/PNP0C0C:00/input/input5/event5"
[725909.848] (II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD)
[725909.848] (**) Option "xkb_rules" "evdev"
[725909.848] (**) Option "xkb_model" "pc105"
[725909.848] (**) Option "xkb_layout" "gb"
[725909.848] (**) Option "xkb_options" "lv3:ralt_switch"
[725909.850] (II) config/udev: Adding input device Lid Switch (/dev/input/event4)
[725909.850] (II) No input driver/identifier specified (ignoring)
[725909.850] (II) config/udev: Adding input device Sleep Button (/dev/input/event6)
[725909.851] (**) Sleep Button: Applying InputClass "evdev keyboard catchall"
[725909.851] (II) Using input driver 'evdev' for 'Sleep Button'
[725909.851] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[725909.851] (**) Sleep Button: always reports core events
[725909.851] (**) Sleep Button: Device: "/dev/input/event6"
[725909.851] (--) Sleep Button: Found keys
[725909.851] (II) Sleep Button: Configuring as keyboard
[725909.851] (**) Option "config_info" "udev:/sys/devices/LNXSYSTM:00/device:00/PNP0C0E:00/input/input6/event6"
[725909.851] (II) XINPUT: Adding extended input device "Sleep Button" (type: KEYBOARD)
[725909.851] (**) Option "xkb_rules" "evdev"
[725909.851] (**) Option "xkb_model" "pc105"
[725909.851] (**) Option "xkb_layout" "gb"
[725909.851] (**) Option "xkb_options" "lv3:ralt_switch"
[725909.858] (II) config/udev: Adding input device Laptop_Integrated_Webcam_0.3M (/dev/input/event9)
[725909.858] (**) Laptop_Integrated_Webcam_0.3M: Applying InputClass "evdev keyboard catchall"
[725909.858] (II) Using input driver 'evdev' for 'Laptop_Integrated_Webcam_0.3M'
[725909.858] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[725909.858] (**) Laptop_Integrated_Webcam_0.3M: always reports core events
[725909.858] (**) Laptop_Integrated_Webcam_0.3M: Device: "/dev/input/event9"
[725909.858] (--) Laptop_Integrated_Webcam_0.3M: Found keys
[725909.858] (II) Laptop_Integrated_Webcam_0.3M: Configuring as keyboard
[725909.858] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1a.7/usb1/1-6/1-6:1.0/input/input9/event9"
[725909.858] (II) XINPUT: Adding extended input device "Laptop_Integrated_Webcam_0.3M" (type: KEYBOARD)
[725909.859] (**) Option "xkb_rules" "evdev"
[725909.859] (**) Option "xkb_model" "pc105"
[725909.859] (**) Option "xkb_layout" "gb"
[725909.859] (**) Option "xkb_options" "lv3:ralt_switch"
[725909.860] (II) config/udev: Adding input device HDA Digital PCBeep (/dev/input/event12)
[725909.860] (II) No input driver/identifier specified (ignoring)
[725909.861] (II) config/udev: Adding input device HDA Intel Mic at Sep Left Jack (/dev/input/event13)
[725909.861] (II) No input driver/identifier specified (ignoring)
[725909.862] (II) config/udev: Adding input device HDA Intel Mic at Ext Right Jack (/dev/input/event14)
[725909.862] (II) No input driver/identifier specified (ignoring)
[725909.862] (II) config/udev: Adding input device HDA Intel Line Out at Sep Left Jack (/dev/input/event15)
[725909.862] (II) No input driver/identifier specified (ignoring)
[725909.863] (II) config/udev: Adding input device HDA Intel HP Out at Ext Right Jack (/dev/input/event16)
[725909.863] (II) No input driver/identifier specified (ignoring)
[725909.868] (II) config/udev: Adding input device AT Translated Set 2 keyboard (/dev/input/event0)
[725909.868] (**) AT Translated Set 2 keyboard: Applying InputClass "evdev keyboard catchall"
[725909.868] (II) Using input driver 'evdev' for 'AT Translated Set 2 keyboard'
[725909.868] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[725909.868] (**) AT Translated Set 2 keyboard: always reports core events
[725909.868] (**) AT Translated Set 2 keyboard: Device: "/dev/input/event0"
[725909.868] (--) AT Translated Set 2 keyboard: Found keys
[725909.868] (II) AT Translated Set 2 keyboard: Configuring as keyboard
[725909.868] (**) Option "config_info" "udev:/sys/devices/platform/i8042/serio0/input/input19/event0"
[725909.868] (II) XINPUT: Adding extended input device "AT Translated Set 2 keyboard" (type: KEYBOARD)
[725909.868] (**) Option "xkb_rules" "evdev"
[725909.868] (**) Option "xkb_model" "pc105"
[725909.868] (**) Option "xkb_layout" "gb"
[725909.868] (**) Option "xkb_options" "lv3:ralt_switch"
[725909.868] (II) config/udev: Adding input device DualPoint Stick (/dev/input/event10)
[725909.868] (**) DualPoint Stick: Applying InputClass "evdev pointer catchall"
[725909.868] (II) Using input driver 'evdev' for 'DualPoint Stick'
[725909.868] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[725909.868] (**) DualPoint Stick: always reports core events
[725909.868] (**) DualPoint Stick: Device: "/dev/input/event10"
[725909.868] (--) DualPoint Stick: Found 3 mouse buttons
[725909.868] (--) DualPoint Stick: Found relative axes
[725909.868] (--) DualPoint Stick: Found x and y relative axes
[725909.868] (II) DualPoint Stick: Configuring as mouse
[725909.868] (**) DualPoint Stick: YAxisMapping: buttons 4 and 5
[725909.868] (**) DualPoint Stick: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
[725909.868] (**) Option "config_info" "udev:/sys/devices/platform/i8042/serio1/input/input10/event10"
[725909.868] (II) XINPUT: Adding extended input device "DualPoint Stick" (type: MOUSE)
[725909.869] (II) DualPoint Stick: initialized for relative axes.
[725909.869] (**) DualPoint Stick: (accel) keeping acceleration scheme 1
[725909.869] (**) DualPoint Stick: (accel) acceleration profile 0
[725909.869] (**) DualPoint Stick: (accel) acceleration factor: 2.000
[725909.869] (**) DualPoint Stick: (accel) acceleration threshold: 4
[725909.869] (II) config/udev: Adding input device DualPoint Stick (/dev/input/mouse1)
[725909.869] (II) No input driver/identifier specified (ignoring)
[725909.869] (II) config/udev: Adding input device AlpsPS/2 ALPS DualPoint TouchPad (/dev/input/event11)
[725909.869] (**) AlpsPS/2 ALPS DualPoint TouchPad: Applying InputClass "evdev touchpad catchall"
[725909.869] (**) AlpsPS/2 ALPS DualPoint TouchPad: Applying InputClass "touchpad catchall"
[725909.869] (II) LoadModule: "synaptics"
[725909.869] (II) Loading /usr/lib/xorg/modules/input/synaptics_drv.so
[725909.869] (II) Module synaptics: vendor="X.Org Foundation"
[725909.869] 	compiled for 1.10.2, module version = 1.4.1
[725909.869] 	Module class: X.Org XInput Driver
[725909.869] 	ABI class: X.Org XInput driver, version 12.2
[725909.869] (II) Using input driver 'synaptics' for 'AlpsPS/2 ALPS DualPoint TouchPad'
[725909.869] (II) Loading /usr/lib/xorg/modules/input/synaptics_drv.so
[725909.869] (**) AlpsPS/2 ALPS DualPoint TouchPad: always reports core events
[725909.869] (**) Option "Device" "/dev/input/event11"
[725909.888] (--) AlpsPS/2 ALPS DualPoint TouchPad: x-axis range 0 - 1023
[725909.888] (--) AlpsPS/2 ALPS DualPoint TouchPad: y-axis range 0 - 767
[725909.888] (--) AlpsPS/2 ALPS DualPoint TouchPad: pressure range 0 - 127
[725909.888] (--) AlpsPS/2 ALPS DualPoint TouchPad: buttons: left right middle
[725909.888] (--) AlpsPS/2 ALPS DualPoint TouchPad: invalid finger width range.  defaulting to 0 - 16
[725909.896] (--) AlpsPS/2 ALPS DualPoint TouchPad: touchpad found
[725909.896] (**) AlpsPS/2 ALPS DualPoint TouchPad: always reports core events
[725909.900] (**) Option "config_info" "udev:/sys/devices/platform/i8042/serio1/input/input11/event11"
[725909.900] (II) XINPUT: Adding extended input device "AlpsPS/2 ALPS DualPoint TouchPad" (type: TOUCHPAD)
[725909.900] (**) AlpsPS/2 ALPS DualPoint TouchPad: (accel) MinSpeed is now constant deceleration 2.5
[725909.900] (**) AlpsPS/2 ALPS DualPoint TouchPad: MaxSpeed is now 1.75
[725909.900] (**) AlpsPS/2 ALPS DualPoint TouchPad: AccelFactor is now 0.156
[725909.900] (**) AlpsPS/2 ALPS DualPoint TouchPad: (accel) keeping acceleration scheme 1
[725909.901] (**) AlpsPS/2 ALPS DualPoint TouchPad: (accel) acceleration profile 1
[725909.901] (**) AlpsPS/2 ALPS DualPoint TouchPad: (accel) acceleration factor: 2.000
[725909.901] (**) AlpsPS/2 ALPS DualPoint TouchPad: (accel) acceleration threshold: 4
[725909.932] (--) AlpsPS/2 ALPS DualPoint TouchPad: touchpad found
[725909.933] (II) config/udev: Adding input device AlpsPS/2 ALPS DualPoint TouchPad (/dev/input/mouse2)
[725909.933] (**) AlpsPS/2 ALPS DualPoint TouchPad: Applying InputClass "touchpad catchall"
[725909.933] (II) Using input driver 'synaptics' for 'AlpsPS/2 ALPS DualPoint TouchPad'
[725909.933] (II) Loading /usr/lib/xorg/modules/input/synaptics_drv.so
[725909.933] (**) AlpsPS/2 ALPS DualPoint TouchPad: always reports core events
[725909.933] (**) Option "Device" "/dev/input/mouse2"
[725909.940] (--) AlpsPS/2 ALPS DualPoint TouchPad: invalid x-axis range.  defaulting to 1615 - 5685
[725909.940] (--) AlpsPS/2 ALPS DualPoint TouchPad: invalid y-axis range.  defaulting to 1729 - 4171
[725909.940] (--) AlpsPS/2 ALPS DualPoint TouchPad: invalid pressure range.  defaulting to 0 - 256
[725909.940] (--) AlpsPS/2 ALPS DualPoint TouchPad: invalid finger width range.  defaulting to 0 - 16
[725909.960] (EE) Query no Synaptics: 6003C8
[725909.961] (--) AlpsPS/2 ALPS DualPoint TouchPad: no supported touchpad found
[725909.961] (EE) AlpsPS/2 ALPS DualPoint TouchPad Unable to query/initialize Synaptics hardware.
[725909.964] (EE) PreInit returned 11 for "AlpsPS/2 ALPS DualPoint TouchPad"
[725909.964] (II) UnloadModule: "synaptics"
[725909.964] (II) Unloading synaptics
[725909.965] (II) config/udev: Adding input device PC Speaker (/dev/input/event3)
[725909.965] (II) No input driver/identifier specified (ignoring)
[725909.971] (II) config/udev: Adding input device ACPI Virtual Keyboard Device (/dev/input/event2)
[725909.971] (**) ACPI Virtual Keyboard Device: Applying InputClass "evdev keyboard catchall"
[725909.971] (II) Using input driver 'evdev' for 'ACPI Virtual Keyboard Device'
[725909.971] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[725909.971] (**) ACPI Virtual Keyboard Device: always reports core events
[725909.971] (**) ACPI Virtual Keyboard Device: Device: "/dev/input/event2"
[725909.972] (--) ACPI Virtual Keyboard Device: Found keys
[725909.972] (II) ACPI Virtual Keyboard Device: Configuring as keyboard
[725909.972] (**) Option "config_info" "udev:/sys/devices/virtual/input/input17/event2"
[725909.972] (II) XINPUT: Adding extended input device "ACPI Virtual Keyboard Device" (type: KEYBOARD)
[725909.972] (**) Option "xkb_rules" "evdev"
[725909.972] (**) Option "xkb_model" "pc105"
[725909.972] (**) Option "xkb_layout" "gb"
[725909.972] (**) Option "xkb_options" "lv3:ralt_switch"
[725909.972] (II) config/udev: Adding input device Dell WMI hotkeys (/dev/input/event8)
[725909.972] (**) Dell WMI hotkeys: Applying InputClass "evdev keyboard catchall"
[725909.972] (II) Using input driver 'evdev' for 'Dell WMI hotkeys'
[725909.972] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[725909.972] (**) Dell WMI hotkeys: always reports core events
[725909.972] (**) Dell WMI hotkeys: Device: "/dev/input/event8"
[725909.972] (--) Dell WMI hotkeys: Found keys
[725909.972] (II) Dell WMI hotkeys: Configuring as keyboard
[725909.972] (**) Option "config_info" "udev:/sys/devices/virtual/input/input8/event8"
[725909.972] (II) XINPUT: Adding extended input device "Dell WMI hotkeys" (type: KEYBOARD)
[725909.972] (**) Option "xkb_rules" "evdev"
[725909.972] (**) Option "xkb_model" "pc105"
[725909.972] (**) Option "xkb_layout" "gb"
[725909.972] (**) Option "xkb_options" "lv3:ralt_switch"
[725910.247] (II) NOUVEAU(0): EDID vendor "AUO", prod id 16455
[725910.247] (II) NOUVEAU(0): Printing DDC gathered Modelines:
[725910.247] (II) NOUVEAU(0): Modeline "1440x900"x0.0  108.00  1440 1504 1536 1970  900 903 906 912 +hsync -vsync (54.8 kHz)
[725910.247] (II) NOUVEAU(0): Modeline "1440x900"x0.0   72.50  1440 1504 1536 1970  900 903 906 912 +hsync -vsync (36.8 kHz)
[725910.615] (II) NOUVEAU(0): EDID vendor "AUO", prod id 16455
[725910.615] (II) NOUVEAU(0): Printing DDC gathered Modelines:
[725910.615] (II) NOUVEAU(0): Modeline "1440x900"x0.0  108.00  1440 1504 1536 1970  900 903 906 912 +hsync -vsync (54.8 kHz)
[725910.615] (II) NOUVEAU(0): Modeline "1440x900"x0.0   72.50  1440 1504 1536 1970  900 903 906 912 +hsync -vsync (36.8 kHz)
[725910.983] (II) NOUVEAU(0): EDID vendor "AUO", prod id 16455
[725910.983] (II) NOUVEAU(0): Printing DDC gathered Modelines:
[725910.983] (II) NOUVEAU(0): Modeline "1440x900"x0.0  108.00  1440 1504 1536 1970  900 903 906 912 +hsync -vsync (54.8 kHz)
[725910.983] (II) NOUVEAU(0): Modeline "1440x900"x0.0   72.50  1440 1504 1536 1970  900 903 906 912 +hsync -vsync (36.8 kHz)

udev information:
-----------------
P: /devices/LNXSYSTM:00/device:00/PNP0A03:00/device:34/LNXVIDEO:00/input/input7/event7
N: input/event7
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/device:00/PNP0A03:00/device:34/LNXVIDEO:00/input/input7/event7
E: MAJOR=13
E: MINOR=71
E: DEVNAME=/dev/input/event7
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc105
E: XKBLAYOUT=gb
E: XKBOPTIONS=lv3:ralt_switch
E: BACKSPACE=guess
E: DMI_VENDOR=Dell Inc.

P: /devices/LNXSYSTM:00/device:00/PNP0C0C:00/input/input5/event5
N: input/event5
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/device:00/PNP0C0C:00/input/input5/event5
E: MAJOR=13
E: MINOR=69
E: DEVNAME=/dev/input/event5
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc105
E: XKBLAYOUT=gb
E: XKBOPTIONS=lv3:ralt_switch
E: BACKSPACE=guess
E: DMI_VENDOR=Dell Inc.

P: /devices/LNXSYSTM:00/device:00/PNP0C0D:00/input/input4/event4
N: input/event4
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/device:00/PNP0C0D:00/input/input4/event4
E: MAJOR=13
E: MINOR=68
E: DEVNAME=/dev/input/event4
E: SUBSYSTEM=input
E: ID_INPUT=1
E: DMI_VENDOR=Dell Inc.

P: /devices/LNXSYSTM:00/device:00/PNP0C0E:00/input/input6/event6
N: input/event6
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/device:00/PNP0C0E:00/input/input6/event6
E: MAJOR=13
E: MINOR=70
E: DEVNAME=/dev/input/event6
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc105
E: XKBLAYOUT=gb
E: XKBOPTIONS=lv3:ralt_switch
E: BACKSPACE=guess
E: DMI_VENDOR=Dell Inc.

P: /devices/pci0000:00/0000:00:1a.7/usb1/1-6/1-6:1.0/input/input9/event9
N: input/event9
S: input/by-id/usb-CN0TX5937248794R05C7_Laptop_Integrated_Webcam_0.3M-event-if00
S: input/by-path/pci-0000:00:1a.7-usb-0:6:1.0-event
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1a.7/usb1/1-6/1-6:1.0/input/input9/event9
E: MAJOR=13
E: MINOR=73
E: DEVNAME=/dev/input/event9
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_VENDOR=CN0TX5937248794R05C7
E: ID_VENDOR_ENC=CN0TX5937248794R05C7
E: ID_VENDOR_ID=0c45
E: ID_MODEL=Laptop_Integrated_Webcam_0.3M
E: ID_MODEL_ENC=Laptop_Integrated_Webcam_0.3M
E: ID_MODEL_ID=63f8
E: ID_REVISION=8806
E: ID_SERIAL=CN0TX5937248794R05C7_Laptop_Integrated_Webcam_0.3M
E: ID_TYPE=video
E: ID_BUS=usb
E: ID_USB_INTERFACES=:0e0100:0e0200:
E: ID_USB_INTERFACE_NUM=00
E: ID_USB_DRIVER=uvcvideo
E: ID_PATH=pci-0000:00:1a.7-usb-0:6:1.0
E: XKBMODEL=pc105
E: XKBLAYOUT=gb
E: DEVLINKS=/dev/input/by-id/usb-CN0TX5937248794R05C7_Laptop_Integrated_Webcam_0.3M-event-if00 /dev/input/by-path/pci-0000:00:1a.7-usb-0:6:1.0-event
E: XKBOPTIONS=lv3:ralt_switch
E: BACKSPACE=guess

P: /devices/pci0000:00/0000:00:1b.0/input/input12/event12
N: input/event12
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1b.0/input/input12/event12
E: MAJOR=13
E: MINOR=76
E: DEVNAME=/dev/input/event12
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_PATH=pci-0000:00:1b.0
E: DMI_VENDOR=Dell Inc.

P: /devices/pci0000:00/0000:00:1b.0/sound/card0/input13/event13
N: input/event13
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1b.0/sound/card0/input13/event13
E: MAJOR=13
E: MINOR=77
E: DEVNAME=/dev/input/event13
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_PATH=pci-0000:00:1b.0
E: DMI_VENDOR=Dell Inc.

P: /devices/pci0000:00/0000:00:1b.0/sound/card0/input14/event14
N: input/event14
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1b.0/sound/card0/input14/event14
E: MAJOR=13
E: MINOR=78
E: DEVNAME=/dev/input/event14
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_PATH=pci-0000:00:1b.0
E: DMI_VENDOR=Dell Inc.

P: /devices/pci0000:00/0000:00:1b.0/sound/card0/input15/event15
N: input/event15
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1b.0/sound/card0/input15/event15
E: MAJOR=13
E: MINOR=79
E: DEVNAME=/dev/input/event15
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_PATH=pci-0000:00:1b.0
E: DMI_VENDOR=Dell Inc.

P: /devices/pci0000:00/0000:00:1b.0/sound/card0/input16/event16
N: input/event16
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1b.0/sound/card0/input16/event16
E: MAJOR=13
E: MINOR=80
E: DEVNAME=/dev/input/event16
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_PATH=pci-0000:00:1b.0
E: DMI_VENDOR=Dell Inc.

P: /devices/platform/i8042/serio0/input/input19/event0
N: input/event0
S: input/by-path/platform-i8042-serio-0-event-kbd
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio0/input/input19/event0
E: MAJOR=13
E: MINOR=64
E: DEVNAME=/dev/input/event0
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-0
E: XKBMODEL=pc105
E: XKBLAYOUT=gb
E: DEVLINKS=/dev/input/by-path/platform-i8042-serio-0-event-kbd
E: XKBOPTIONS=lv3:ralt_switch
E: BACKSPACE=guess
E: DMI_VENDOR=Dell Inc.

P: /devices/platform/i8042/serio1/input/input10/event10
N: input/event10
S: input/by-path/platform-i8042-serio-1-event-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio1/input/input10/event10
E: MAJOR=13
E: MINOR=74
E: DEVNAME=/dev/input/event10
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-1
E: DMI_VENDOR=Dell Inc.
E: DEVLINKS=/dev/input/by-path/platform-i8042-serio-1-event-mouse

P: /devices/platform/i8042/serio1/input/input10/mouse1
N: input/mouse1
S: input/by-path/platform-i8042-serio-1-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio1/input/input10/mouse1
E: MAJOR=13
E: MINOR=33
E: DEVNAME=/dev/input/mouse1
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-1
E: DEVLINKS=/dev/input/by-path/platform-i8042-serio-1-mouse

P: /devices/platform/i8042/serio1/input/input11/event11
N: input/event11
S: input/by-path/platform-i8042-serio-1-event-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio1/input/input11/event11
E: MAJOR=13
E: MINOR=75
E: DEVNAME=/dev/input/event11
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_TOUCHPAD=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-1
E: DMI_VENDOR=Dell Inc.
E: DEVLINKS=/dev/input/by-path/platform-i8042-serio-1-event-mouse

P: /devices/platform/i8042/serio1/input/input11/mouse2
N: input/mouse2
S: input/by-path/platform-i8042-serio-1-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio1/input/input11/mouse2
E: MAJOR=13
E: MINOR=34
E: DEVNAME=/dev/input/mouse2
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_TOUCHPAD=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-1
E: DEVLINKS=/dev/input/by-path/platform-i8042-serio-1-mouse

P: /devices/platform/pcspkr/input/input3/event3
N: input/event3
S: input/by-path/platform-pcspkr-event-spkr
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/pcspkr/input/input3/event3
E: MAJOR=13
E: MINOR=67
E: DEVNAME=/dev/input/event3
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-pcspkr
E: DMI_VENDOR=Dell Inc.
E: DEVLINKS=/dev/input/by-path/platform-pcspkr-event-spkr

P: /devices/virtual/input/input17/event2
N: input/event2
E: UDEV_LOG=3
E: DEVPATH=/devices/virtual/input/input17/event2
E: MAJOR=13
E: MINOR=66
E: DEVNAME=/dev/input/event2
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_SERIAL=noserial
E: XKBMODEL=pc105
E: XKBLAYOUT=gb
E: XKBOPTIONS=lv3:ralt_switch
E: BACKSPACE=guess
E: DMI_VENDOR=Dell Inc.

P: /devices/virtual/input/input8/event8
N: input/event8
E: UDEV_LOG=3
E: DEVPATH=/devices/virtual/input/input8/event8
E: MAJOR=13
E: MINOR=72
E: DEVNAME=/dev/input/event8
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc105
E: XKBLAYOUT=gb
E: XKBOPTIONS=lv3:ralt_switch
E: BACKSPACE=guess
E: DMI_VENDOR=Dell Inc.


DRM Information from dmesg:
---------------------------
[    0.000000] No AGP bridge found
[    0.000000] No AGP bridge found
[    0.353178] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.AGP_._PRT]
[    0.765006] Linux agpgart interface v0.103
[   11.096997] [drm] Initialized drm 1.1.0 20060810
[   11.223691] [drm] nouveau 0000:01:00.0: Detected an NV50 generation card (0x298580a2)
[   11.227089] [drm] nouveau 0000:01:00.0: Attempting to load BIOS image from PRAMIN
[   11.331339] [drm] nouveau 0000:01:00.0: ... appears to be valid
[   11.331342] [drm] nouveau 0000:01:00.0: BIT BIOS found
[   11.331345] [drm] nouveau 0000:01:00.0: Bios version 62.98.3c.00
[   11.331348] [drm] nouveau 0000:01:00.0: TMDS table version 2.0
[   11.331350] [drm] nouveau 0000:01:00.0: Found Display Configuration Block version 4.0
[   11.331353] [drm] nouveau 0000:01:00.0: Raw DCB entry 0: 01000323 00010034
[   11.331355] [drm] nouveau 0000:01:00.0: Raw DCB entry 1: 02011300 00000028
[   11.331357] [drm] nouveau 0000:01:00.0: Raw DCB entry 2: 02022386 0f200010
[   11.331359] [drm] nouveau 0000:01:00.0: Raw DCB entry 3: 02022332 00020010
[   11.331361] [drm] nouveau 0000:01:00.0: Raw DCB entry 4: 040333a6 0f200010
[   11.331363] [drm] nouveau 0000:01:00.0: Raw DCB entry 5: 04033312 00020010
[   11.331365] [drm] nouveau 0000:01:00.0: Raw DCB entry 6: 0000000e 00000000
[   11.331368] [drm] nouveau 0000:01:00.0: DCB connector table: VHER 0x40 5 16 4
[   11.331371] [drm] nouveau 0000:01:00.0:   0: 0x00000041: type 0x41 idx 0 tag 0xff
[   11.331373] [drm] nouveau 0000:01:00.0: unknown type, using 0x40
[   11.331375] [drm] nouveau 0000:01:00.0:   1: 0x00000100: type 0x00 idx 1 tag 0xff
[   11.331378] [drm] nouveau 0000:01:00.0:   2: 0x00005246: type 0x46 idx 2 tag 0x07
[   11.331380] [drm] nouveau 0000:01:00.0:   3: 0x0000a346: type 0x46 idx 3 tag 0x08
[   11.331391] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 0 at offset 0xD601
[   11.356699] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 1 at offset 0xD9B3
[   11.363035] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 2 at offset 0xE259
[   11.363053] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 3 at offset 0xE34B
[   11.364158] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 4 at offset 0xE557
[   11.364163] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table at offset 0xE5BC
[   11.384017] [drm] nouveau 0000:01:00.0: 0xE5BC: Condition still not met after 20ms, skipping following opcodes
[   11.406024] [drm] nouveau 0000:01:00.0: 4 available performance level(s)
[   11.406029] [drm] nouveau 0000:01:00.0: 0: memory 100MHz core 169MHz shader 338MHz voltage 900mV fanspeed 100%
[   11.406033] [drm] nouveau 0000:01:00.0: 1: memory 250MHz core 275MHz shader 550MHz voltage 900mV fanspeed 100%
[   11.406038] [drm] nouveau 0000:01:00.0: 2: memory 400MHz core 500MHz shader 1000MHz voltage 1090mV fanspeed 100%
[   11.406043] [drm] nouveau 0000:01:00.0: 3: memory 400MHz core 580MHz shader 1450MHz voltage 1170mV fanspeed 100%
[   11.406068] [drm] nouveau 0000:01:00.0: Register 0x00004030 not found in PLL limits table
[   11.406186] [drm] nouveau 0000:01:00.0: c: memory 249MHz core 275MHz shader 1100MHz voltage 900mV
[   11.406373] [drm] nouveau 0000:01:00.0: Detected 256MiB VRAM
[   11.408670] [drm] nouveau 0000:01:00.0: 512 MiB GART (aperture)
[   11.435238] [drm] nouveau 0000:01:00.0: ACPI backlight interface available, not registering our own
[   11.436697] [drm] Supports vblank timestamp caching Rev 1 (10.10.2010).
[   11.436699] [drm] No driver support for vblank timestamp query.
[   11.714192] [drm] nouveau 0000:01:00.0: allocated 1920x1200 fb: 0x40000000, bo ffff8801182d4800
[   13.068322] drm: registered panic notifier
[   13.068328] [drm] Initialized nouveau 0.0.16 20090420 for 0000:01:00.0 on minor 0
[725274.755950] [drm] nouveau 0000:01:00.0: Disabling fbcon acceleration...
[725274.755953] [drm] nouveau 0000:01:00.0: Unpinning framebuffer(s)...
[725274.756037] [drm] nouveau 0000:01:00.0: Evicting buffers...
[725274.815268] [drm] nouveau 0000:01:00.0: Idling channels...
[725274.815603] [drm] nouveau 0000:01:00.0: Suspending GPU objects...
[725276.596777] [drm] nouveau 0000:01:00.0: And we're gone!
[725276.962716] [drm] nouveau 0000:01:00.0: We're back, enabling device...
[725276.962755] [drm] nouveau 0000:01:00.0: POSTing device...
[725276.962757] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 0 at offset 0xD601
[725276.987706] [drm] nouveau 0000:01:00.0: 0xD7E0: i2c wr fail: -6
[725276.993032] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 1 at offset 0xD9B3
[725276.999371] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 2 at offset 0xE259
[725276.999420] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 3 at offset 0xE34B
[725277.000544] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 4 at offset 0xE557
[725277.000549] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table at offset 0xE5BC
[725277.020526] [drm] nouveau 0000:01:00.0: Restoring GPU objects...
[725277.096640] [drm] nouveau 0000:01:00.0: Reinitialising engines...
[725277.096841] [drm] nouveau 0000:01:00.0: Restoring mode...
[725751.942184] [drm] nouveau 0000:01:00.0: Disabling fbcon acceleration...
[725751.942186] [drm] nouveau 0000:01:00.0: Unpinning framebuffer(s)...
[725751.942255] [drm] nouveau 0000:01:00.0: Evicting buffers...
[725751.960370] [drm] nouveau 0000:01:00.0: Idling channels...
[725751.960695] [drm] nouveau 0000:01:00.0: Suspending GPU objects...
[725753.738985] [drm] nouveau 0000:01:00.0: And we're gone!
[725753.991940] [drm] nouveau 0000:01:00.0: We're back, enabling device...
[725753.991992] [drm] nouveau 0000:01:00.0: POSTing device...
[725753.992019] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 0 at offset 0xD601
[725754.017755] [drm] nouveau 0000:01:00.0: 0xD7E0: i2c wr fail: -6
[725754.023403] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 1 at offset 0xD9B3
[725754.029837] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 2 at offset 0xE259
[725754.029918] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 3 at offset 0xE34B
[725754.031112] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 4 at offset 0xE557
[725754.031130] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table at offset 0xE5BC
[725754.051168] [drm] nouveau 0000:01:00.0: Restoring GPU objects...
[725754.370201] [drm] nouveau 0000:01:00.0: Reinitialising engines...
[725754.370586] [drm] nouveau 0000:01:00.0: Restoring mode...


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.39-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=POSIX, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages xserver-xorg depends on:
ii  libc6  2.13-10                           Embedded GNU C Library: Shared lib
ii  x11-xk 7.6+4                             X11 XKB utilities
ii  xkb-da 2.1-2                             X Keyboard Extension (XKB) configu
ii  xserve 2:1.10.2.902-1                    Xorg X server - core server
ii  xserve 1:7.6+7                           X.Org X server -- input driver met
ii  xserve 1:2.6.0-2+b1                      X.Org X server -- evdev input driv
ii  xserve 1:1.6.0-3                         X.Org X server -- keyboard input d
ii  xserve 1:1.7.1-1                         X.Org X server -- mouse input driv
ii  xserve 1.4.1-1                           Synaptics TouchPad driver for X.Or
ii  xserve 0.10.10+20110203-1+b1             X.Org X server -- Wacom input driv
ii  xserve 1:7.6+7                           X.Org X server -- output driver me
ii  xserve 1:1.2.3-2+b1                      X.Org X server -- APM display driv
ii  xserve 1:0.7.3-2+b1                      X.Org X server -- ark display driv
ii  xserve 1:6.14.2-1                        X.Org X server -- AMD/ATI display 
ii  xserve 1:1.2.4-1+b1                      X.Org X server -- Chips display dr
ii  xserve 1:1.3.2-4+b1                      X.Org X server -- Cirrus display d
ii  xserve 1:0.3.4-2+b1                      X.Org X server -- dummy display dr
ii  xserve 1:0.4.2-4+b1                      X.Org X server -- fbdev display dr
ii  xserve 1:1.2.5-2+b1                      X.Org X server -- Glint display dr
ii  xserve 1:1.3.4-2+b1                      X.Org X server -- i128 display dri
ii  xserve 2:2.15.0-3                        X.Org X server -- Intel i8xx, i9xx
ii  xserve 6.9.0-1                           X.Org X server -- ATI Mach64 displ
ii  xserve 1:1.4.13.dfsg-3+b1                X.Org X server -- MGA display driv
ii  xserve 1:1.2.5-2+b1                      X.Org X server -- Neomagic display
ii  xserve 1:0.0.16+git20110411+8378443-1+b1 X.Org X server -- Nouveau display 
ii  xserve 1:0.2.904+svn920-1                X.Org X server -- VIA display driv
ii  xserve 6.8.1-5+b1                        X.Org X server -- ATI r128 display
ii  xserve 1:6.14.2-1                        X.Org X server -- AMD/ATI Radeon d
ii  xserve 1:4.2.4-2+b1                      X.Org X server -- Rendition displa
ii  xserve 1:0.6.3-4+b1                      X.Org X server -- legacy S3 displa
ii  xserve 1:1.10.4-4+b1                     X.Org X server -- S3 ViRGE display
ii  xserve 1:2.3.2-3+b1                      X.Org X server -- Savage display d
ii  xserve 1:1.7.5-1+b1                      X.Org X server -- SiliconMotion di
ii  xserve 1:0.10.3-3+b1                     X.Org X server -- SiS display driv
ii  xserve 1:0.9.4-2+b1                      X.Org X server -- SiS USB display 
ii  xserve 1:1.4.3-4+b1                      X.Org X server -- tdfx display dri
ii  xserve 1:1.3.4-2+b1                      X.Org X server -- Trident display 
ii  xserve 1:1.2.4-2+b1                      X.Org X server -- Tseng display dr
ii  xserve 1:2.3.0-7                         X.Org X server -- VESA display dri
ii  xserve 1:11.0.3-2+b1                     X.Org X server -- VMware display d
ii  xserve 1:1.2.4-2+b1                      X.Org X server -- Voodoo display d

Versions of packages xserver-xorg recommends:
ii  libgl1-mesa-dri               7.10.3-3   free implementation of the OpenGL 

xserver-xorg suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#633849; Package xserver-xorg. (Fri, 15 Jul 2011 09:29:38 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 15 Jul 2011 09:29:41 GMT) Full text and rfc822 format available.

Message #10 received at 633849@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: 633849@bugs.debian.org
Subject: Re: xserver-xorg: XKB settings lost after suspend (hibernate) / resume
Date: Fri, 15 Jul 2011 11:27:01 +0200
[Message part 1 (text/plain, inline)]
severity 633849 important
thanks

Increasing severity as after I restore the settings with

  xkbcomp -w0 -I$HOME/.xkb -R$HOME/.xkb keymap/custom $DISPLAY

(the same command I use in my .xinitrc, and "xkbcomp $DISPLAY xkb.dump"
shows that they are completely restored), the behavior is still
incorrect. For instance, I have:

    type "CUSTLEVELTHREE" {
        modifiers= LevelThree;
        map[LevelThree]= Level2;
        level_name[Level1]= "Base";
        level_name[Level2]= "Alt";
    };

    key <LEFT> {
        type= "CUSTLEVELTHREE",
        symbols[Group1]= [            Left,       0x1000001 ]
    };

(see attached file) but Alt+Left doesn't yield a ^A. This means that
after suspend/resume, I need to log out!

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Arénaire project (LIP, ENS-Lyon)
[xkb.dump (text/plain, attachment)]

Severity set to 'important' from 'normal' Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Fri, 15 Jul 2011 09:29:50 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#633849; Package xserver-xorg. (Sun, 26 Feb 2012 00:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 26 Feb 2012 00:33:03 GMT) Full text and rfc822 format available.

Message #17 received at 633849@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: 633849@bugs.debian.org
Subject: Re: xserver-xorg: XKB settings lost after suspend (hibernate) / resume
Date: Sun, 26 Feb 2012 01:30:06 +0100
retitle 633849 xserver-xorg: XKB settings lost after suspend (hibernate) / resume or USB keyboard plugged in
found 633849 1:7.6+11
thanks

On 2011-07-14 13:45:49 +0200, Vincent Lefevre wrote:
> I have personal XKB settings. From my .initrc file:
> 
>   xkbcomp -w0 -I$HOME/.xkb -R$HOME/.xkb keymap/custom $DISPLAY
> 
> They are lost after suspend (hibernate) / resume.

Same kind problem when I plug in a USB keyboard: the USB keyboard
do not take these settings into account (the keyboard of the laptop
is unaffected).

And running

  xkbcomp -w0 -I$HOME/.xkb -R$HOME/.xkb keymap/custom $DISPLAY

after plugging in the keyboard is not really useful because some
X applications (like xterm and fvwm) still partly behave as with
the old settings (for this one, I suspect a bug in libx11-6,
since both xterm and fvwm depend on it). There's also the problem
concerning the user CUSTLEVELTHREE type mentioned in another
message.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)




Changed Bug title to 'xserver-xorg: XKB settings lost after suspend (hibernate) / resume or USB keyboard plugged in' from 'xserver-xorg: XKB settings lost after suspend (hibernate) / resume' Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Sun, 26 Feb 2012 00:33:05 GMT) Full text and rfc822 format available.

Bug Marked as found in versions xorg/1:7.6+11. Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Sun, 26 Feb 2012 00:33:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#633849; Package xserver-xorg. (Wed, 09 May 2012 07:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to mega@retes.hu (Gábor Melis):
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 09 May 2012 07:06:03 GMT) Full text and rfc822 format available.

Message #26 received at 633849@bugs.debian.org (full text, mbox):

From: mega@retes.hu (Gábor Melis)
To: 633849@bugs.debian.org
Subject: Re: xserver-xorg: XKB settings lost after suspend (hibernate) / resume
Date: Wed, 09 May 2012 09:04:22 +0200
I remap modifier keys quite a bit:

partial modifier_keys
xkb_symbols "lisp_machine_modifiers" {
    key <LCTL> { [ Super_L, Super_L ] };
    key <RCTL> { [ Super_R, Super_R ] };
    key <LALT> { [ Control_L, Control_L ] };
    key <RALT> { [ Control_R, Control_R ] };
    key <LWIN> { [ Alt_L, Meta_L ] };
    key <MENU> { [ Alt_R, Meta_R ] };
    modifier_map Control { <RALT>, <LALT> };
    modifier_map Mod1 { <LWIN>, <MENU> };
    modifier_map Mod4 { <LCTL>, <RCTL> };
};

After suspend/hibernate LCTL, RCTL and MENU revert to their original
meaning. Switching to the console and back is also enough to trigger it.
I'm running a fully updated (as of today) Wheezy.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#633849; Package xserver-xorg. (Sat, 12 May 2012 08:21:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to mega@retes.hu (Gábor Melis):
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 12 May 2012 08:21:13 GMT) Full text and rfc822 format available.

Message #31 received at 633849@bugs.debian.org (full text, mbox):

From: mega@retes.hu (Gábor Melis)
To: 633849@bugs.debian.org
Subject: Re: xserver-xorg: XKB settings lost after suspend (hibernate) / resume
Date: Sat, 12 May 2012 10:19:24 +0200
I've also found that the plugging in a usb headset also upsets the
keyboard layout ...




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#633849; Package xserver-xorg. (Sat, 04 Aug 2012 01:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 04 Aug 2012 01:45:06 GMT) Full text and rfc822 format available.

Message #36 received at 633849@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: 633849@bugs.debian.org
Subject: Re: xserver-xorg: XKB settings lost after suspend (hibernate) / resume
Date: Sat, 4 Aug 2012 03:40:11 +0200
On 2012-02-26 01:30:06 +0100, Vincent Lefevre wrote:
> On 2011-07-14 13:45:49 +0200, Vincent Lefevre wrote:
> > I have personal XKB settings. From my .initrc file:
> > 
> >   xkbcomp -w0 -I$HOME/.xkb -R$HOME/.xkb keymap/custom $DISPLAY
> > 
> > They are lost after suspend (hibernate) / resume.
> 
> Same kind problem when I plug in a USB keyboard: the USB keyboard
> do not take these settings into account (the keyboard of the laptop
> is unaffected).

Actually when I suspend and resume the laptop, the USB keyboard
is unaffected. Only when unplug it and plug it in again.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#633849; Package xserver-xorg. (Sat, 11 Aug 2012 00:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 11 Aug 2012 00:42:02 GMT) Full text and rfc822 format available.

Message #41 received at 633849@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: 633849@bugs.debian.org
Subject: Re: xserver-xorg: XKB settings lost after suspend (hibernate) / resume
Date: Sat, 11 Aug 2012 02:33:08 +0200
On 2012-08-04 03:40:11 +0200, Vincent Lefevre wrote:
> Actually when I suspend and resume the laptop, the USB keyboard
> is unaffected. Only when unplug it and plug it in again.

A few hours ago, as I did a suspend/resume of my laptop, with only
its builtin keyboard, I noticed that the XKB settings were restored
(without the need to run xkbcomp), and everything worked fine.

I looked at the kernel and Xorg logs (see below), and saw that the
builtin keyboard was recognized as a USB HID keyboard instead of an
AT Translated Set 2 keyboard as usual. But I've done other tests and
I can't make it work again.

USB keyboard recognition needs the RF_KILL bit to be set to enable
radio. I don't know whether this is a bug or there is a reason.
But the bug (XKB settings lost after suspend) needs to be fixed
one way or another. Since the problem may come from the kernel in
the first place, this could be a kernel bug, the problem in Xorg
being just a consequence.

Here are the logs, when the XKB settings were restored:

In the /var/log/syslog file, keyboard information did not appear after
wake up, until the RF_KILL bit was toggled to enable radio:

[...]
Aug 10 21:11:25 xvii kernel: [235310.726023] iwlwifi 0000:0c:00.0: RF_KILL bit toggled to enable radio.
Aug 10 21:11:26 xvii kernel: [235311.208293] usb 3-1: new full-speed USB device number 16 using uhci_hcd
Aug 10 21:11:26 xvii kernel: [235311.385578] usb 3-1: New USB device found, idVendor=0a5c, idProduct=4500
Aug 10 21:11:26 xvii kernel: [235311.385588] usb 3-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Aug 10 21:11:26 xvii kernel: [235311.385595] usb 3-1: Product: BCM2046B1
Aug 10 21:11:26 xvii kernel: [235311.385599] usb 3-1: Manufacturer: Broadcom
Aug 10 21:11:26 xvii kernel: [235311.387503] hub 3-1:1.0: USB hub found
Aug 10 21:11:26 xvii kernel: [235311.389335] hub 3-1:1.0: 3 ports detected
Aug 10 21:11:26 xvii kernel: [235311.670578] usb 3-1.1: new full-speed USB device number 17 using uhci_hcd
Aug 10 21:11:26 xvii kernel: [235311.788586] usb 3-1.1: New USB device found, idVendor=413c, idProduct=8157
Aug 10 21:11:26 xvii kernel: [235311.788596] usb 3-1.1: New USB device strings: Mfr=0, Product=0, SerialNumber=0
Aug 10 21:11:26 xvii kernel: [235311.794006] input: HID 413c:8157 as /devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.1/3-1.1:1.0/input/input28
Aug 10 21:11:26 xvii kernel: [235311.794332] generic-usb 0003:413C:8157.000A: input,hidraw0: USB HID v1.11 Keyboard [HID 413c:8157] on usb-0000:00:1a.0-1.1/input0
[...]

In the /var/log/Xorg.0.log file after wake up:

[235125.841] (II) Open ACPI successful (/var/run/acpid.socket)
[235125.841] (II) AIGLX: Resuming AIGLX clients after VT switch
[235125.841] (II) NOUVEAU(0): NVEnterVT is called.
[235125.990] (II) NOUVEAU(0): EDID vendor "AUO", prod id 16455
[235125.990] (II) NOUVEAU(0): Printing DDC gathered Modelines:
[235125.990] (II) NOUVEAU(0): Modeline "1440x900"x0.0  108.00  1440 1504 1536 1970  900 903 906 912 +hsync -vsync (54.8 kHz eP)
[235125.990] (II) NOUVEAU(0): Modeline "1440x900"x0.0   72.50  1440 1504 1536 1970  900 903 906 912 +hsync -vsync (36.8 kHz e)
[235126.117] (**) Option "Device" "/dev/input/event10"
[235126.117] (--) synaptics: AlpsPS/2 ALPS DualPoint TouchPad: touchpad found
[235312.020] (II) config/udev: Adding input device HID 413c:8157 (/dev/input/event1)
[235312.020] (**) HID 413c:8157: Applying InputClass "evdev keyboard catchall"
[235312.020] (II) Using input driver 'evdev' for 'HID 413c:8157'
[235312.020]    Option "XkbRules" "evdev"
[235312.020]    Option "xkb_model" "pc105"
[235312.020]    Option "xkb_layout" "gb"
[235312.020]    Option "_source" "server/udev"
[235312.020]    Option "name" "HID 413c:8157"
[235312.020]    Option "path" "/dev/input/event1"
[235312.020]    Option "device" "/dev/input/event1"
[235312.020]    Option "xkb_options" "lv3:ralt_switch"
[235312.020]    Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.1/3-1.1:1.0/input/input28/event1"
[235312.020]    Option "driver" "evdev"
[235312.020] (**) HID 413c:8157: always reports core events
[235312.020] (**) evdev: HID 413c:8157: Device: "/dev/input/event1"
[235312.020] (--) evdev: HID 413c:8157: Vendor 0x413c Product 0x8157
[235312.020] (--) evdev: HID 413c:8157: Found keys
[235312.020] (II) evdev: HID 413c:8157: Configuring as keyboard
[235312.020] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.1/3-1.1:1.0/input/input28/event1"
[235312.020] (II) XINPUT: Adding extended input device "HID 413c:8157" (type: KEYBOARD, id 15)
[235312.020] (**) Option "xkb_rules" "evdev"
[235312.020] (**) Option "xkb_model" "pc105"
[235312.020] (**) Option "xkb_layout" "gb"
[235312.020] (**) Option "xkb_options" "lv3:ralt_switch"
[235312.020] (II) XKB: Reusing cached keymap

With a second try...

In the /var/log/syslog file:

[...]
Aug 10 22:03:07 xvii kernel: [238341.135708] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input32
[...]

And after toggling the RF_KILL bit to enable radio:

Aug 10 22:10:17 xvii kernel: [238774.107477] iwlwifi 0000:0c:00.0: RF_KILL bit toggled to enable radio.
Aug 10 22:10:18 xvii kernel: [238774.588232] usb 3-1: new full-speed USB device number 22 using uhci_hcd
Aug 10 22:10:18 xvii kernel: [238774.765505] usb 3-1: New USB device found, idVendor=0a5c, idProduct=4500
Aug 10 22:10:18 xvii kernel: [238774.765515] usb 3-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Aug 10 22:10:18 xvii kernel: [238774.765522] usb 3-1: Product: BCM2046B1
Aug 10 22:10:18 xvii kernel: [238774.765527] usb 3-1: Manufacturer: Broadcom
Aug 10 22:10:18 xvii kernel: [238774.767445] hub 3-1:1.0: USB hub found
Aug 10 22:10:18 xvii kernel: [238774.769264] hub 3-1:1.0: 3 ports detected
Aug 10 22:10:18 xvii kernel: [238775.050498] usb 3-1.1: new full-speed USB device number 23 using uhci_hcd
Aug 10 22:10:19 xvii kernel: [238775.169504] usb 3-1.1: New USB device found, idVendor=413c, idProduct=8157
Aug 10 22:10:19 xvii kernel: [238775.169514] usb 3-1.1: New USB device strings: Mfr=0, Product=0, SerialNumber=0
Aug 10 22:10:19 xvii kernel: [238775.175898] input: HID 413c:8157 as /devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.1/3-1.1:1.0/input/input33
Aug 10 22:10:19 xvii kernel: [238775.176371] generic-usb 0003:413C:8157.000C: input,hidraw0: USB HID v1.11 Keyboard [HID 413c:8157] on usb-0000:00:1a.0-1.1/input0
[...]

In the /var/log/Xorg.0.log file:

[238344.158] (II) Open ACPI successful (/var/run/acpid.socket)
[238344.158] (II) AIGLX: Resuming AIGLX clients after VT switch
[238344.158] (II) NOUVEAU(0): NVEnterVT is called.
[238344.297] (II) NOUVEAU(0): EDID vendor "AUO", prod id 16455
[238344.297] (II) NOUVEAU(0): Printing DDC gathered Modelines:
[238344.297] (II) NOUVEAU(0): Modeline "1440x900"x0.0  108.00  1440 1504 1536 1970  900 903 906 912 +hsync -vsync (54.8 kHz eP)
[238344.297] (II) NOUVEAU(0): Modeline "1440x900"x0.0   72.50  1440 1504 1536 1970  900 903 906 912 +hsync -vsync (36.8 kHz e)
[238344.420] (**) Option "Device" "/dev/input/event10"
[238344.420] (--) synaptics: AlpsPS/2 ALPS DualPoint TouchPad: touchpad found
[238344.421] (II) config/udev: Adding input device AT Translated Set 2 keyboard (/dev/input/event0)
[238344.421] (**) AT Translated Set 2 keyboard: Applying InputClass "evdev keyboard catchall"
[238344.421] (II) Using input driver 'evdev' for 'AT Translated Set 2 keyboard'
[238344.421]    Option "XkbRules" "evdev"
[238344.421]    Option "xkb_model" "pc105"
[238344.421]    Option "xkb_layout" "gb"
[238344.421]    Option "_source" "server/udev"
[238344.421]    Option "name" "AT Translated Set 2 keyboard"
[238344.421]    Option "path" "/dev/input/event0"
[238344.421]    Option "device" "/dev/input/event0"
[238344.421]    Option "xkb_options" "lv3:ralt_switch"
[238344.421]    Option "config_info" "udev:/sys/devices/platform/i8042/serio0/input/input32/event0"
[238344.421]    Option "driver" "evdev"
[238344.421] (**) AT Translated Set 2 keyboard: always reports core events
[238344.421] (**) evdev: AT Translated Set 2 keyboard: Device: "/dev/input/event0"
[238344.421] (--) evdev: AT Translated Set 2 keyboard: Vendor 0x1 Product 0x1
[238344.421] (--) evdev: AT Translated Set 2 keyboard: Found keys
[238344.421] (II) evdev: AT Translated Set 2 keyboard: Configuring as keyboard
[238344.421] (**) Option "config_info" "udev:/sys/devices/platform/i8042/serio0/input/input32/event0"
[238344.421] (II) XINPUT: Adding extended input device "AT Translated Set 2 keyboard" (type: KEYBOARD, id 9)
[238344.421] (**) Option "xkb_rules" "evdev"
[238344.421] (**) Option "xkb_model" "pc105"
[238344.421] (**) Option "xkb_layout" "gb"
[238344.421] (**) Option "xkb_options" "lv3:ralt_switch"
[238344.421] (II) XKB: Reusing cached keymap
[238775.401] (II) config/udev: Adding input device HID 413c:8157 (/dev/input/event1)
[238775.401] (**) HID 413c:8157: Applying InputClass "evdev keyboard catchall"
[238775.401] (II) Using input driver 'evdev' for 'HID 413c:8157'
[238775.401]    Option "XkbRules" "evdev"
[238775.401]    Option "xkb_model" "pc105"
[238775.401]    Option "xkb_layout" "gb"
[238775.401]    Option "_source" "server/udev"
[238775.401]    Option "name" "HID 413c:8157"
[238775.401]    Option "path" "/dev/input/event1"
[238775.401]    Option "device" "/dev/input/event1"
[238775.401]    Option "xkb_options" "lv3:ralt_switch"
[238775.401]    Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.1/3-1.1:1.0/input/input33/event1"
[238775.401]    Option "driver" "evdev"
[238775.401] (**) HID 413c:8157: always reports core events
[238775.401] (**) evdev: HID 413c:8157: Device: "/dev/input/event1"
[238775.401] (--) evdev: HID 413c:8157: Vendor 0x413c Product 0x8157
[238775.401] (--) evdev: HID 413c:8157: Found keys
[238775.401] (II) evdev: HID 413c:8157: Configuring as keyboard
[238775.401] (**) Option "config_info" "udev:/sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.1/3-1.1:1.0/input/input33/event1"
[238775.401] (II) XINPUT: Adding extended input device "HID 413c:8157" (type: KEYBOARD, id 11)
[238775.402] (**) Option "xkb_rules" "evdev"
[238775.402] (**) Option "xkb_model" "pc105"
[238775.402] (**) Option "xkb_layout" "gb"
[238775.402] (**) Option "xkb_options" "lv3:ralt_switch"
[238775.402] (II) XKB: Reusing cached keymap

But the XKB settings were not restored (whether before or after
the RF_KILL bit was toggled).

A third try, letting the RF_KILL bit always on to enable radio,
i.e. before suspend and after wake up (resume).

In the /var/log/syslog file:

[...]
Aug 10 22:21:34 xvii kernel: [239409.521324] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input35
Aug 10 22:21:34 xvii kernel: [239409.564618] ata2.00: configured for UDMA/100
Aug 10 22:21:34 xvii kernel: [239409.572067] usb 3-1: reset full-speed USB device number 22 using uhci_hcd
Aug 10 22:21:34 xvii kernel: [239410.009423] dell_wmi: Received unknown WMI event (0x11)
Aug 10 22:21:34 xvii kernel: [239410.013989] usb 3-1.1: reset full-speed USB device number 23 using uhci_hcd
Aug 10 22:21:34 xvii kernel: [239410.185946] usb 3-1.2: reset full-speed USB device number 24 using uhci_hcd
[...]

In the /var/log/Xorg.0.log file:

[239412.722] (II) config/udev: Adding input device AT Translated Set 2 keyboard (/dev/input/event0)
[239412.722] (**) AT Translated Set 2 keyboard: Applying InputClass "evdev keyboard catchall"
[239412.722] (II) Using input driver 'evdev' for 'AT Translated Set 2 keyboard'
[239412.722]    Option "XkbRules" "evdev"
[239412.722]    Option "xkb_model" "pc105"
[239412.722]    Option "xkb_layout" "gb"
[239412.722]    Option "_source" "server/udev"
[239412.722]    Option "name" "AT Translated Set 2 keyboard"
[239412.722]    Option "path" "/dev/input/event0"
[239412.722]    Option "device" "/dev/input/event0"
[239412.722]    Option "xkb_options" "lv3:ralt_switch"
[239412.722]    Option "config_info" "udev:/sys/devices/platform/i8042/serio0/input/input35/event0"
[239412.722]    Option "driver" "evdev"
[239412.722] (**) AT Translated Set 2 keyboard: always reports core events
[239412.722] (**) evdev: AT Translated Set 2 keyboard: Device: "/dev/input/event0"
[239412.722] (--) evdev: AT Translated Set 2 keyboard: Vendor 0x1 Product 0x1
[239412.722] (--) evdev: AT Translated Set 2 keyboard: Found keys
[239412.722] (II) evdev: AT Translated Set 2 keyboard: Configuring as keyboard
[239412.722] (**) Option "config_info" "udev:/sys/devices/platform/i8042/serio0/input/input35/event0"
[239412.722] (II) XINPUT: Adding extended input device "AT Translated Set 2 keyboard" (type: KEYBOARD, id 11)
[239412.722] (**) Option "xkb_rules" "evdev"
[239412.722] (**) Option "xkb_model" "pc105"
[239412.722] (**) Option "xkb_layout" "gb"
[239412.722] (**) Option "xkb_options" "lv3:ralt_switch"
[239412.722] (II) XKB: Reusing cached keymap
[239412.755] (II) Open ACPI successful (/var/run/acpid.socket)
[239412.755] (II) AIGLX: Resuming AIGLX clients after VT switch
[239412.755] (II) NOUVEAU(0): NVEnterVT is called.
[239412.896] (II) NOUVEAU(0): EDID vendor "AUO", prod id 16455
[239412.896] (II) NOUVEAU(0): Printing DDC gathered Modelines:
[239412.896] (II) NOUVEAU(0): Modeline "1440x900"x0.0  108.00  1440 1504 1536 1970  900 903 906 912 +hsync -vsync (54.8 kHz eP)
[239412.896] (II) NOUVEAU(0): Modeline "1440x900"x0.0   72.50  1440 1504 1536 1970  900 903 906 912 +hsync -vsync (36.8 kHz e)
[239413.023] (**) Option "Device" "/dev/input/event10"
[239413.023] (--) synaptics: AlpsPS/2 ALPS DualPoint TouchPad: touchpad found

But the XKB settings were not restored.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#633849; Package xserver-xorg. (Wed, 30 Oct 2013 21:48:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 30 Oct 2013 21:48:11 GMT) Full text and rfc822 format available.

Message #46 received at 633849@bugs.debian.org (full text, mbox):

From: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
To: 633849@bugs.debian.org
Subject: Me too
Date: Wed, 30 Oct 2013 22:44:45 +0100
I have the same bug and I would really love to have it fixed.  Since 
about 2 years (before, it worked) I have been forced to execute xmodmap 
~/.xmodmap after each resume, since the key bindings I use in that file 
are lost at suspend.

xmodmap simply adds French and Romanian accentuated characters éèôîșț... 
to my English keyboard.

-- 
Eugen



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#633849; Package xserver-xorg. (Thu, 31 Oct 2013 04:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 31 Oct 2013 04:06:05 GMT) Full text and rfc822 format available.

Message #51 received at 633849@bugs.debian.org (full text, mbox):

From: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
To: 633849@bugs.debian.org
Subject: Re: Me too
Date: Thu, 31 Oct 2013 05:02:45 +0100
On 30/10/13 22:44, Eugen Dedu wrote:
> I have the same bug and I would really love to have it fixed.  Since
> about 2 years (before, it worked) I have been forced to execute xmodmap
> ~/.xmodmap after each resume, since the key bindings I use in that file
> are lost at suspend.
>
> xmodmap simply adds French and Romanian accentuated characters éèôîșț...
> to my English keyboard.

Note that xset settings are lost too.  For ex., I execute xset b off, or 
xset r rate 200 30, but they go back to default values after suspend/resume.

-- 
Eugen



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#633849; Package xserver-xorg. (Thu, 31 Oct 2013 08:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Maximiliano Curia <maxy@gnuservers.com.ar>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 31 Oct 2013 08:12:04 GMT) Full text and rfc822 format available.

Message #56 received at 633849@bugs.debian.org (full text, mbox):

From: Maximiliano Curia <maxy@gnuservers.com.ar>
To: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>, 633849@bugs.debian.org, 633849-submitter@bugs.debian.org
Subject: Re: Bug#633849: Me too
Date: Thu, 31 Oct 2013 09:02:26 +0100
¡Hola Eugen!

El 2013-10-31 a las 05:02 +0100, Eugen Dedu escribió:
> On 30/10/13 22:44, Eugen Dedu wrote:
> >I have the same bug and I would really love to have it fixed.  Since
> >about 2 years (before, it worked) I have been forced to execute xmodmap
> >~/.xmodmap after each resume, since the key bindings I use in that file
> >are lost at suspend.

> >xmodmap simply adds French and Romanian accentuated characters éèôîșț...
> >to my English keyboard.

> Note that xset settings are lost too.  For ex., I execute xset b
> off, or xset r rate 200 30, but they go back to default values after
> suspend/resume.

How are you suspending your computer?
Under which desktop environment?

I also have a custom ~/.Xmodmap, and using pm-suspend or powerdevil (kde)
won't loss those changes.

-- 
"If a million people believe a foolish thing, it is still a foolish thing."
-- France's Rule of Folly
Saludos /\/\ /\ >< `/



Message sent on to Vincent Lefevre <vincent@vinc17.net>:
Bug#633849. (Thu, 31 Oct 2013 08:12:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#633849; Package xserver-xorg. (Thu, 31 Oct 2013 08:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 31 Oct 2013 08:33:04 GMT) Full text and rfc822 format available.

Message #64 received at 633849@bugs.debian.org (full text, mbox):

From: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
To: Maximiliano Curia <maxy@gnuservers.com.ar>
Cc: 633849@bugs.debian.org, 633849-submitter@bugs.debian.org
Subject: Re: Bug#633849: Me too
Date: Thu, 31 Oct 2013 09:32:15 +0100
On 31/10/13 09:02, Maximiliano Curia wrote:
> ¡Hola Eugen!

¡Hola

> El 2013-10-31 a las 05:02 +0100, Eugen Dedu escribió:
>> On 30/10/13 22:44, Eugen Dedu wrote:
>>> I have the same bug and I would really love to have it fixed.  Since
>>> about 2 years (before, it worked) I have been forced to execute xmodmap
>>> ~/.xmodmap after each resume, since the key bindings I use in that file
>>> are lost at suspend.
>
>>> xmodmap simply adds French and Romanian accentuated characters éèôîșț...
>>> to my English keyboard.
>
>> Note that xset settings are lost too.  For ex., I execute xset b
>> off, or xset r rate 200 30, but they go back to default values after
>> suspend/resume.
>
> How are you suspending your computer?

The bug appears when I close the lid, and also when executing pm-suspend 
as root.

> Under which desktop environment?

Under gnome until one week ago, and under awesome since then.

xset r rate setting was not visible on gnome, since it is itself which 
changes it when resuming, I suppose.

> I also have a custom ~/.Xmodmap, and using pm-suspend or powerdevil (kde)
> won't loss those changes.

This is strange then.  How can I see what happens?  Where to look at?

Could that be an issue of a kbd-related package?

-- 
Eugen



Message sent on to Vincent Lefevre <vincent@vinc17.net>:
Bug#633849. (Thu, 31 Oct 2013 08:33:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#633849; Package xserver-xorg. (Thu, 31 Oct 2013 09:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 31 Oct 2013 09:06:04 GMT) Full text and rfc822 format available.

Message #72 received at 633849@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>, 633849@bugs.debian.org
Subject: Re: Bug#633849: Me too
Date: Thu, 31 Oct 2013 10:04:22 +0100
On 2013-10-31 05:02:45 +0100, Eugen Dedu wrote:
> On 30/10/13 22:44, Eugen Dedu wrote:
> >I have the same bug and I would really love to have it fixed.  Since
> >about 2 years (before, it worked) I have been forced to execute xmodmap
> >~/.xmodmap after each resume, since the key bindings I use in that file
> >are lost at suspend.
> >
> >xmodmap simply adds French and Romanian accentuated characters éèôîșț...
> >to my English keyboard.
> 
> Note that xset settings are lost too.  For ex., I execute xset b off, or
> xset r rate 200 30, but they go back to default values after suspend/resume.

Yes, there are several related bugs about lost settings after
suspend/resume:

  #541388  xserver-xorg: Xmodmap settings lost across suspend/hibernate
  #568868  key repeat for caps lock goes away after suspend/resume
  #582566  bell settings (xset -b) not preserved after suspend/resume
  #633849  xserver-xorg: XKB settings lost after suspend (hibernate) / resume
           or USB keyboard plugged in

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)



Message sent on to Vincent Lefevre <vincent@vinc17.net>:
Bug#633849. (Thu, 31 Oct 2013 09:15:13 GMT) Full text and rfc822 format available.

Message #75 received at 633849-submitter@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Maximiliano Curia <maxy@gnuservers.com.ar>
Cc: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>, 633849-submitter@bugs.debian.org
Subject: Re: Bug#633849: Me too
Date: Thu, 31 Oct 2013 10:11:54 +0100
On 2013-10-31 09:02:26 +0100, Maximiliano Curia wrote:
> How are you suspending your computer?
> Under which desktop environment?

In my case, I suspend with Fn-F1, after which

  acpid: received input layer event "button/sleep SBTN 00000080 00000000"
  acpid: rule from 23102[0:0] matched
  acpid: notifying client 23102[0:0]
  acpid: rule from /etc/acpi/events/sleepbtn matched
  acpid: executing action "/etc/acpi/sleep_suspend.sh sleep"
  [...]

appears in the logs.

I don't use a desktop environment, just the fvwm window manager.

> I also have a custom ~/.Xmodmap, and using pm-suspend or powerdevil
> (kde) won't loss those changes.

Note that once, my keyboard settings where automatically restored,
under my usual environment. I couldn't reproduce this. But this
makes me think that this may be related to how the kernel detects
the keyboard (the logs were different, but I don't know why, and
I don't know whether this is related).

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#633849; Package xserver-xorg. (Sat, 02 Nov 2013 08:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 02 Nov 2013 08:24:04 GMT) Full text and rfc822 format available.

Message #80 received at 633849@bugs.debian.org (full text, mbox):

From: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
To: Vincent Lefevre <vincent@vinc17.net>
Cc: 633849@bugs.debian.org
Subject: Re: Bug#633849: Me too
Date: Sat, 02 Nov 2013 09:22:02 +0100
On 31/10/13 10:04, Vincent Lefevre wrote:
> On 2013-10-31 05:02:45 +0100, Eugen Dedu wrote:
>> On 30/10/13 22:44, Eugen Dedu wrote:
>>> I have the same bug and I would really love to have it fixed.  Since
>>> about 2 years (before, it worked) I have been forced to execute xmodmap
>>> ~/.xmodmap after each resume, since the key bindings I use in that file
>>> are lost at suspend.
>>>
>>> xmodmap simply adds French and Romanian accentuated characters éèôîșț...
>>> to my English keyboard.
>>
>> Note that xset settings are lost too.  For ex., I execute xset b off, or
>> xset r rate 200 30, but they go back to default values after suspend/resume.
>
> Yes, there are several related bugs about lost settings after
> suspend/resume:
>
>    #541388  xserver-xorg: Xmodmap settings lost across suspend/hibernate
>    #568868  key repeat for caps lock goes away after suspend/resume
>    #582566  bell settings (xset -b) not preserved after suspend/resume
>    #633849  xserver-xorg: XKB settings lost after suspend (hibernate) / resume
>             or USB keyboard plugged in

Do you know if the upstream is informed about all these bugs?

-- 
Eugen



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#633849; Package xserver-xorg. (Sat, 02 Nov 2013 17:12:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 02 Nov 2013 17:12:09 GMT) Full text and rfc822 format available.

Message #85 received at 633849@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Eugen Dedu <Eugen.Dedu@pu-pm.univ-fcomte.fr>
Cc: 633849@bugs.debian.org
Subject: Re: Bug#633849: Me too
Date: Sat, 2 Nov 2013 18:10:11 +0100
Control: forwarded -1 https://bugs.freedesktop.org/show_bug.cgi?id=71168

On 2013-11-02 09:22:02 +0100, Eugen Dedu wrote:
> Do you know if the upstream is informed about all these bugs?

I've just reported this bug upstream.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)



Set Bug forwarded-to-address to 'https://bugs.freedesktop.org/show_bug.cgi?id=71168'. Request was from Vincent Lefevre <vincent@vinc17.net> to 633849-submit@bugs.debian.org. (Sat, 02 Nov 2013 17:12:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:37:52 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.